import { Component, OnInit, Input } from '@angular/core';

@Component({
  selector: 'tw-progress-radial',
  templateUrl: './progress-radial.component.html',
  styleUrls: ['./progress-radial.component.scss'],
})
export class ProgressRadialComponent implements OnInit {
  @Input() progress: string;
  progressEst: string;
  public goalComplete = false;
  constructor() { }

  ngOnInit() {
    this.progressEst = (Math.ceil(+this.progress / 5) * 5).toString();
    this.goalComplete = parseInt(this.progress, 10) === 100 ? true : false;
  }

}
