import { Injectable } from '@angular/core';
import { UserService } from '../user.service';
import { CanActivate } from '@angular/router/src/utils/preactivation';

@Injectable({
  providedIn: 'root'
})
export class GuardianGuardService implements CanActivate {
  path;
  route;
  constructor(private userService: UserService) { }

  canActivate() {
    if (!this.userService.isGuardian) {
      return false;
    }
    return true;
  }
}
