import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'age'
})
export class AgePipe implements PipeTransform {

  transform(value: any, args?: any): any {
    let returnVal = null;
    if (value) {
      const ageDifMs = Date.now() - value.getTime();
      const ageDate = new Date(ageDifMs); // miliseconds from epoch
      returnVal = Math.abs(ageDate.getUTCFullYear() - 1970);
    }

    return returnVal ? returnVal : ' ';
  }

}
