export enum FileState {
  complete = 'COMPLETE',
  pending = 'PENDING'
}

export interface FileModel {
  id: string;
  path: string;
  filename: string;
  original_filename?: string;
  created_by_user_id: string;
  state: FileState;
  mime_type?: string;
  created_at: string;
  updated_at: string;
  duration?: number;
  file_size?: number;
}
