import { Injectable } from '@angular/core';
import { Plugins } from '@capacitor/core';
const { Device } = Plugins;

@Injectable({
  providedIn: 'root'
})
export class StateService {
  public deviceInfo;
  constructor() {
  }

  async getDeviceInfo() {
    const info = await Device.getInfo();
    this.deviceInfo = info;
    console.log('setting', this.deviceInfo);

    return this.deviceInfo;
  }

  getPlatform() {
    if (!this.deviceInfo) {
      this.getDeviceInfo().then(() => {
        return this.deviceInfo.platform;
      });
    } else {
      return this.deviceInfo.platform;
    }
  }

}
